org.apache.ignite.client

## Enum SslProtocol

- java.lang.Object
- - java.lang.Enum<SslProtocol>
  - - org.apache.ignite.client.SslProtocol

- All Implemented Interfaces:
    Serializable, Comparable<SslProtocol>

      public enum SslProtocol
      extends Enum<SslProtocol>

  SSL Protocol.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TLS` Supports some version of TLS; may support other versions.
    `TLSv1` Supports RFC 2246: TLS version 1.0 ; may support other versions.
    `TLSv1_1` Supports RFC 4346: TLS version 1.1 ; may support other versions.
    `TLSv1_2` Supports RFC 5246: TLS version 1.2 ; may support other versions.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SslProtocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SslProtocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TLS

          public static final SslProtocol TLS

      Supports some version of TLS; may support other versions.

    - #### TLSv1

          public static final SslProtocol TLSv1

      Supports RFC 2246: TLS version 1.0 ; may support other versions.

    - #### TLSv1_1

          public static final SslProtocol TLSv1_1

      Supports RFC 4346: TLS version 1.1 ; may support other versions.

    - #### TLSv1_2

          public static final SslProtocol TLSv1_2

      Supports RFC 5246: TLS version 1.2 ; may support other versions.

  - ### Method Detail

    - #### values

          public static SslProtocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SslProtocol c : SslProtocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SslProtocol valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023